import get from 'lodash.get'

const apiList = {
  app: {
    url: '',
    method: 'get',
  },
  building:{
    get:{
      url: '/api/lp/buildingBaseInfo',
      method: 'get',
    },
  },
  user: {
    get: {
      url: '/api/user',
      method: 'get',
    },
    update: {
      url: '/api/user/:id',
      method: 'post',
    },

  }
}

// user.update
// { id: 123 }
export default function getAPI(api, params) {
  if (!api) {
    return apiList;
  }

  const theAPI = get(api)
  if (!params) {
    return theAPI;
  }

  let url = theAPI.url;
  Object.keys(params).forEach((key) => {
    const val = params[key];

    url = url.replace(new RegExp(':' + key), val)
  })

  return { ...theAPI, url }
}
