import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    state: {
      name: '',
      id: '',
      avator: '',
    },
    mutations: {
      updateBuilding(state, newBuilding) {
        const { name, id, avator } = newBuilding;
        state.name = name;
        state.id = id;
        state.avator = avator;
      }
    },
    actions: {
      getBuilding({ commit }, params) {
        request({ ...getAPI('building.get'), query: params }).then((data) => {
          commit('updateBuilding', data)
        })
      },
    }
  }